uses 
    tools;
begin
    randseed := 4085095;
    maxq := 3000;
    dl := 0;
    generateLineSpan(300, 5, 100);
    maxq := max_q;
    generateRandomSpan(1000, 5, 100);
    addRandom(10000, 100);
    setTightData();
    shuffle();
    output();
end.
